Subject: RE: iSCSI Data Integrity - Digests

From: [email-masked]
Date: Wed, 31 Jan 2001 20:04:58 -0500

> I am not sure I understand the difficulty imposed by adler32 with respect
to
> hardware. Optimal assembly code looks different with about three
> instructions per byte. 

I believe the concern is about how fast a hot-rodded ASIC can go.
The arithmetic involved in CRCs doesn't have to cope with carry/borrow
propagation in contrast to the arithmetic involved in the Adler-32
modulus.

--David
---------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 42 South St., Hopkinton, MA  01748
+1 (508) 435-1000 x75140     FAX: +1 (508) 497-8500
[email-masked]       Mobile: +1 (978) 394-7754
---------------------------------------------------